# Mini Project CI/CD 
## Tasks : 
	* [x] : install envirenment , configure STS , configure Environment variables 
	* [x] : implementation of unitar Test specified Module
	* [x] : configuration maven and mvnw.cmd ; craete download dependencies commands  
	* [x] : installation deployment tool 
	* [ ] : configuration nexus for deployment 
	* [ ] : install jenkins and configure 
	* [ ] : create jenkins schedule tasks 
	* [ ] : test deployment 
	* [ ] : version fianal , commit add , pull changes and finally push final version ,
